!
call initpar()
call doc('/homes/sep/bob/papers/thesis/tau/Src/Pre2D_salt_ssf.rs90')
!
!
!
!
program Pre2D_salt 
  use sep
  use gendown3d_mod
  use Pre2D_salt_ssf_types
  use Pre2D_salt_ssf_mod
  implicit none
  type (Pre2D_salt_ssf_param_type) Pre2D_salt_ssf_par
  logical slbf_oper,prestack
  interface 
    subroutine param_Pre2D_salt_ssf(Pre2D_salt_ssf_par)
      use Pre2D_salt_ssf_types
      type (Pre2D_salt_ssf_param_type) Pre2D_salt_ssf_par
    end subroutine
  end interface 
  integer stat
  character(len=128) tag_data,tag_mod
  call initpar()
  call doc()
  tag_data='Image'
  tag_mod='Data'
  call from_param('slbf_oper',slbf_oper,.false.)
  call to_history('slbf_oper',slbf_oper)
  call param_Pre2D_salt_ssf(Pre2D_salt_ssf_par)
  call init_Pre2D_salt_ssf_par(Pre2D_salt_ssf_par)
  call gendown3d_init(verb=.false.,init_down_oper=Pre2D_salt_ssf_init)
  stat=gendown3d(.false.,.false.,tag_mod,tag_data,                  &
    & Pre2D_salt_ssf_down_oper,Pre2D_salt_ssf_scatter_oper)
end program  
